#* 
#* ------------------------------------------------------------------
#* Role PlayingDB V2.0 by Deepwoods Software
#* ------------------------------------------------------------------
#* Tutorial.hh - Tutorial
#* Created by Robert Heller on Mon Apr 19 22:58:38 1999
#* ------------------------------------------------------------------
#* Modification History: 
#* $Log: Tutorial.hh,v $
#* Revision 1.2  1999/05/18 22:46:58  heller
#* Spelling checks.
#*
#* Revision 1.1  1999/05/18 22:41:21  heller
#* Initial revision
#*
#* ------------------------------------------------------------------
#* Contents:
#* ------------------------------------------------------------------
#*  
#*     Role Playing DB -- A database package that creates and maintains
#* 		       a database of RPG characters, monsters, treasures,
#* 		       spells, and playing environments.
#* 
#*     Copyright (C) 1995,1998,1999  Robert Heller D/B/A Deepwoods Software
#* 			51 Locke Hill Road
#* 			Wendell, MA 01379-9728
#* 
#*     This program is free software; you can redistribute it and/or modify
#*     it under the terms of the GNU General Public License as published by
#*     the Free Software Foundation; either version 2 of the License, or
#*     (at your option) any later version.
#* 
#*     This program is distributed in the hope that it will be useful,
#*     but WITHOUT ANY WARRANTY; without even the implied warranty of
#*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#*     GNU General Public License for more details.
#* 
#*     You should have received a copy of the GNU General Public License
#*     along with this program; if not, write to the Free Software
#*     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#* 
#*  
#* 
#* $Id: Tutorial.hh,v 1.2 1999/05/18 22:46:58 heller Rel1 $
0 Tutorial

  The GUI is designed to be generally self-explanatory.  Generally the
GUI windows consist of a collection of blanks to be filled in or
modified as needed.

  In addition to the main GUI window, there are GUI windows for
Character, Monster, Spell, Dressing, Trick or Trap, Treasure, or Map
editor.

  The <Main GUI Window> contains eight buttons, which select eight
activities.  Click on the button labeled [Make or Edit Character] and
proceed to section <How to edit a Character>.

Sections:
  <How to edit a Character>
  <How to edit a Monster>
  <How to edit a Spell>
  <How to edit a Dressing>
  <How to edit a Trick or Trap>
  <How to edit a Treasure>
  <How to edit a Map>
  <How to create a Space>
  <How to edit a Space>
1 How to edit a Character

  When you select the [Make or Edit Character] button you will asked if
you would like to roll for a new character.  Click on the "Yes" button. 
You will now get a <New Character Roll Dialog>, which is used to create
a new character's base attributes values for strength, intelligence,
wisdom, etc.  Also the character's base hit die and max hit die can be
selected as well.  Once you are satisfied with the character's base
attributes, you can accept the roll.  You will then get a 
<Character Data Object Editor GUI Window>. 

  Editing a Character Data Object is then straight forward.  There are fields
for the character's base attributes (Strength, Intelligence, Wisdom,
Dexterity, Constitution, and Charisma), the character's demographics
(Name, Player Name, Race, Alignment, Sex, Age, Experience Points, Gold
Pieces, and Class), a place for additional text describing the
character, plus a set of buttons to do various additional tasks: advance
the character's level, roll exceptional strength, save and load to and
from data files, and a button to set or change the character's picture
(GIF file).

  Now, dismiss the <Character Data Object Editor GUI Window> by
selecting [Close] on the [File] menu.  On the <Main GUI Window> click on
the button labeled [Make or Edit Monster] and proceed to section 
<How to edit a Monster>.

1 How to edit a Monster

  When you select the [Make or Edit Monster] you will get a 
<Monster Data Object Editor GUI Window>.  Editing a Monster Data Object
is straight forward.  There are fields for the monster's various
characteristics: Name / Type, Special Attacks, Alignment, Special
Defenses, Treasure Type, Psionics, Hit Points / Hit Dice, Armor Class,
Movement, Percent in Lair, Damage / Attack, Number of Attacks, Number
Appearing, Magical Resistance, Size, Intelligence, Frequency, and
Description, plus a set of buttons to do various additional tasks: save
and load to and from data files, and set or change the monster's picture
(GIF file).

  Now, dismiss the <Monster Data Object Editor GUI Window> by
selecting [Close] on the [File] menu.  On the <Main GUI Window> click on
the button labeled [Make or Edit Spell] and proceed to section 
<How to edit a Spell>.

1 How to edit a Spell

  When you select the [Make or Edit Spell] you will get a 
<Spell Data Object Editor GUI Window>.  Editing a Spell Data Object is 
straight forward.  There are fields for the spell's Class, Level, Name, 
Type, Effected Area, Range, Casting Time, Saving Throw, and Duration.  
There are checkboxes for whether the spell is reversible, whether it has a
verbal, somatic, or material component.  And a space for a textual
description.  There are buttons to load and save the Spell Data Object
to a disk file.

  Now, dismiss the <Spell Data Object Editor GUI Window> by selecting
[Close] on the [File] menu.  On the <Main GUI Window> click on the
button labeled [Make or Edit Dressing] and proceed to section
<How to edit a Dressing>.

1 How to edit a Dressing

  When you select the [Make or Edit Dressing] you will get a 
<Dressing Data Object Editor GUI Window>.  Editing a Dressing Data Object is 
straight forward.  There are fields for the dressing's Name,  Value, and a
space for a textual description.  There are buttons to load and save the
Dressing Data Object to a disk file.

  Now, dismiss the <Dressing Data Object Editor GUI Window> by selecting
[Close] on the [File] menu.  On the <Main GUI Window> click on the
button labeled [Make or Edit Trick or Trap] and proceed to section
<How to edit a Trick or Trap>.

1 How to edit a Trick or Trap

  When you select the [Make or Edit Trick or Trap] you will get a 
<Trick / Trap Data Object Editor GUI Window>.  Editing a Trick / Trap 
Data Object is straight forward.  There are fields for the trick or trap's
Name, Type, and a space for a textual description.  There are buttons to
load and save the Trick / Trap Data Object to a disk file.

  Now, dismiss the <Trick / Trap Data Object Editor GUI Window> by selecting
[Close] on the [File] menu.  On the <Main GUI Window> click on the
button labeled [Make or Edit Treasure] and proceed to section
<How to edit a Treasure>.

1 How to edit a Treasure

  When you select the [Make or Edit Treasure] you will get a 
<Treasure Data Object Editor GUI Window>.  Editing a Treasure Data Object is 
straight forward.  There are fields for the treasure's Name, a
collection of adjustment values, and a space for a textual description. 
There are buttons to load and save the Treasure Data Object to a disk file.

  Now, dismiss the <Treasure Data Object Editor GUI Window> by selecting
[Close] on the [File] menu.  On the <Main GUI Window> click on the
button labeled [Make or Edit Map] and proceed to section
<How to edit a Map>.

1 How to edit a Map

  When you select the [Make or Edit Map] you will get a <Create Map Dialog>.
This dialog box asks you for the name of the map, the shape of the
spaces, either squares or hexagons, a description of the map, and the X,
Y, and Z (depth) extents of the map. Once these values are set up, a 
<Map Editor GUI Window> is displayed.  This window has a display for the
current level, the map's name, the current level, the map's descriptive
commentary, and buttons for creating and deleting spaces.

  The level can be changed by moving the level slider.  The display area
for the current level is sensitive to mouse clicks.  A single click
selects the space the mouse points to and a double click edits the space
(see <How to edit a Space>).  When a space has been selected, it is
highlighted in blue and its name is displayed next to the space [Delete]
button.  Once selected the same can be deleted with the [Delete] button.
A new space can be added with the [New] button.  Click on the [New]
button now, and go to <How to create a Space>.
1 How to create a Space

  When you select the [New] button on the <Map Editor GUI Window>, you
get a <Create New Space> dialog box.  This box asks you for the X and Y
position of the new space, its name, and its background color.  Pick
some values and click OK [Create].  Find your space on the map, then
double click on it and go to <How to edit a Space>.

1 How to edit a Space

  Double clicking on a space in the <Map Editor GUI Window> pops up the
<Space Data Object Editor GUI Window>.  This window allows for editing a
space.  A space has a name, a textual description, one or more exits,
and possibly contains some items.  The <Space Data Object Editor GUI Window> 
contains the spaces name, location and shape along the top, then a text
area for a textual description of the space.  The space itself is
displayed below, with a pair of lists for the exits and items in the
space. 

  Items and Exits are displayed graphically on the space.  These items
and exits can be left to select, and right clicked to get information
(and edit that information in the case of the items).  The [Add] button
under the Exit and Item lists can be used to add exits and items. 
Selected items and exits can be deleted with the corresponding [Delete]
buttons. 

  When you select the [Add] button for exits, you get a 
<Creating New Exit dialog box>, which collects the information for the
exit: the X and Y position, the wall alignment flag, the image of the
exit, descriptive text, and the space.  The next space can be computed,
but this value should be checked.  This computed location does not take
into account various types of exits, such as wall aligned stairs or
ramps.  And of course has no way of dealing with magical spatial
distorting exits (exits with built-in teleport spells).

  Right clicking on an exit pops up an <Exit Information Dialog>. Once
an exit has been created, it cannot be edited.  If it needs to be
changed, you have to delete it and re-create it.

  When you select the [Add] button for items, you get a
<Creating New Item dialog box>, which collects the information about an
item to be added to the space: X and Y position, the type of the item,
the image of the item, and the data file of the item.  The item type is
one of Character, Monster, Treasure, TrickTrap, or Dressing.

  Right clicking on an item pops up an editor window for the item. 
Like, exits, you cannot modify the items information relative to the
space.  You have to delete the item and re-add it.
