#* 
#* ------------------------------------------------------------------
#* Role PlayingDB V2.0 by Deepwoods Software
#* ------------------------------------------------------------------
#* Widgets.hh - Widget Helpfile
#* Created by Robert Heller on Tue Apr 20 01:13:41 1999
#* ------------------------------------------------------------------
#* Modification History: 
#* $Log: Widgets.hh,v $
#* Revision 1.2  1999/05/18 22:46:58  heller
#* Spelling checks.
#*
#* Revision 1.1  1999/05/18 13:59:32  heller
#* Initial revision
#*
#* ------------------------------------------------------------------
#* Contents:
#* ------------------------------------------------------------------
#*  
#*     Role Playing DB -- A database package that creates and maintains
#* 		       a database of RPG characters, monsters, treasures,
#* 		       spells, and playing environments.
#* 
#*     Copyright (C) 1995,1998,1999  Robert Heller D/B/A Deepwoods Software
#* 			51 Locke Hill Road
#* 			Wendell, MA 01379-9728
#* 
#*     This program is free software; you can redistribute it and/or modify
#*     it under the terms of the GNU General Public License as published by
#*     the Free Software Foundation; either version 2 of the License, or
#*     (at your option) any later version.
#* 
#*     This program is distributed in the hope that it will be useful,
#*     but WITHOUT ANY WARRANTY; without even the implied warranty of
#*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#*     GNU General Public License for more details.
#* 
#*     You should have received a copy of the GNU General Public License
#*     along with this program; if not, write to the Free Software
#*     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#* 
#*  
#* 
#* $Id: Widgets.hh,v 1.2 1999/05/18 22:46:58 heller Rel1 $
0 tlRpg
Main Window.  See <Main GUI Window>.

Sections:

  <tlRpg.#menuBar>
  <tlRpg.mainFrame>

1 tlRpg.#menuBar
Main Window Menubar. See <Standard Menu bar>.
1 tlRpg.mainFrame
Main Window button area.  See <Main GUI Window>.

Subsections:

  <tlRpg.mainFrame.left.character>
  <tlRpg.mainFrame.left.monster>
  <tlRpg.mainFrame.left.spell>
  <tlRpg.mainFrame.left.map>
  <tlRpg.mainFrame.right.treasure>
  <tlRpg.mainFrame.right.trickTrap>
  <tlRpg.mainFrame.right.dressing>
  <tlRpg.mainFrame.right.exit>

2 tlRpg.mainFrame.left.character
[Make or Edit Character] button. This button pops up a 
<Character Data Object Editor GUI Window>.
2 tlRpg.mainFrame.left.monster
[Make or Edit Monster] button. This button pops up a
<Monster Data Object Editor GUI Window>.
2 tlRpg.mainFrame.left.spell
[Make or Edit Spell] button. This button pops up a
<Spell Data Object Editor GUI Window>.
2 tlRpg.mainFrame.left.map
[Make or Edit Map] button. This button pops up a
<Map Editor GUI Window>.
2 tlRpg.mainFrame.right.treasure
[Make or Edit Treasure] button. This button pops up a
<Treasure Data Object Editor GUI Window>.
2 tlRpg.mainFrame.right.trickTrap
[Make or Edit Trick or Trap] button. This button pops up a
<Trick / Trap Data Object Editor GUI Window>.
2 tlRpg.mainFrame.right.dressing
[Make or Edit Dressing] button. This button pops up a
<Dressing Data Object Editor GUI Window>.
2 tlRpg.mainFrame.right.exit
[Exit] button. This button exits the application.
0 tlCharacter
Character Editor. See <Character Data Object Editor GUI Window>.

Sections:

  <tlCharacter.#menuBar>
  <tlCharacter.attributes>
  <tlCharacter.demographics>
  <tlCharacter.description>
  <tlCharacter.buttons>
1 tlCharacter.#menuBar
Character Window Menubar. See <Standard Menu bar>.
1 tlCharacter.attributes
Character Attributes area.

Subsections:

  <tlCharacter.attributes.left.strength>
  <tlCharacter.attributes.left.intelligence>
  <tlCharacter.attributes.left.wisdom>
  <tlCharacter.attributes.right.dexterity>
  <tlCharacter.attributes.right.constitution>
  <tlCharacter.attributes.right.charisma>
2 tlCharacter.attributes.left.strength

  The character's strength (and for fighters, exceptional strength) is
entered here.

2 tlCharacter.attributes.left.intelligence

  The character's intelligence is entered here.

2 tlCharacter.attributes.left.wisdom

  The character's wisdom is entered here.

2 tlCharacter.attributes.right.dexterity

  The character's dexterity is entered here.

2 tlCharacter.attributes.right.constitution

  The character's constitution is entered here.

2 tlCharacter.attributes.right.charisma

  The character's charisma is entered here.

1 tlCharacter.demographics

  The character's demographics are entered or displayed here: the
character's name (<tlCharacter.demographics.chname>), the player's name
(<tlCharacter.demographics.plname>), the character's race 
(<tlCharacter.demographics.race>), the character's alignment 
(<tlCharacter.demographics.alignment>), the character's gender 
(<tlCharacter.demographics.sex>), the character's age 
(<tlCharacter.demographics.age>), the character's experience points 
(<tlCharacter.demographics.expAndGold.experiencePoints>), the
character's  wealth (<tlCharacter.demographics.expAndGold.gold>), the
character's hit  points
(<tlCharacter.demographics.hpAndClass.hitPoints>), and the the 
character's class (<tlCharacter.demographics.hpAndClass.class>).

Subsections:
  <tlCharacter.demographics.chname>
  <tlCharacter.demographics.plname>
  <tlCharacter.demographics.race>
  <tlCharacter.demographics.alignment>
  <tlCharacter.demographics.sex>
  <tlCharacter.demographics.age>
  <tlCharacter.demographics.expAndGold.experiencePoints>
  <tlCharacter.demographics.expAndGold.gold>
  <tlCharacter.demographics.hpAndClass.hitPoints>
  <tlCharacter.demographics.hpAndClass.class>
2 tlCharacter.demographics.chname
  The character's name is entered here.
2 tlCharacter.demographics.plname
  The player's name is entered here.
2 tlCharacter.demographics.race
  The character's race is entered here.
2 tlCharacter.demographics.alignment
  The character's alignment is entered here.
2 tlCharacter.demographics.sex
  The character's gender (sex) is entered here.
2 tlCharacter.demographics.age
  The character's age is entered here.
2 tlCharacter.demographics.expAndGold.experiencePoints
  The character's experience is entered here.
2 tlCharacter.demographics.expAndGold.gold
  The character's wealth is entered here.
2 tlCharacter.demographics.hpAndClass.hitPoints
  The character's hit points are displayed here.
2 tlCharacter.demographics.hpAndClass.class
  The character's class is entered here.
1 tlCharacter.description
  This space is for entering any additional descriptive text or commentary.
1 tlCharacter.buttons
  These buttons provide additional functions or information.

Subsections:

  <tlCharacter.buttons.clevel>
  <tlCharacter.buttons.button47>
  <tlCharacter.buttons.button48>
  <tlCharacter.buttons.button49>
  <tlCharacter.buttons.button50>
  <tlCharacter.buttons.button51>

2 tlCharacter.buttons.clevel
Displays the character's current level.
2 tlCharacter.buttons.button47
Rolls the character's exceptional strength
2 tlCharacter.buttons.button48
Advances the character's level.
2 tlCharacter.buttons.button49
Saves the current character information.
2 tlCharacter.buttons.button50
Loads character information from a file.
2 tlCharacter.buttons.button51
Updates the character's picture.
0 tlDressing
Dressing Editor. See <Dressing Data Object Editor GUI Window>.

Sections:

  <tlDressing.#menuBar>
  <tlDressing.nameValue.name>
  <tlDressing.nameValue.value>
  <tlDressing.description>
  <tlDressing.buttons>
1 tlDressing.#menuBar
Dressing Window Menubar. See <Standard Menu bar>.
1 tlDressing.nameValue.name
The name of the object.
1 tlDressing.nameValue.value
The value of the object.
1 tlDressing.description
The description of the object.
1 tlDressing.buttons

These three buttons provide additional functions.

Subsections:

  <tlDressing.buttons.button61>
  <tlDressing.buttons.button62>
  <tlDressing.buttons.button63>
2 tlDressing.buttons.button61
Load a dressing object file into the current window.
2 tlDressing.buttons.button62
Save the current dressing object to a file.
2 tlDressing.buttons.button63
Change the picture of the current dressing object.
0 tlMap
Map Editor. See <Map Editor GUI Window>.

Sections:

  <tlMap.#menuBar>
  <tlMap.upper.canvasMF>
  <tlMap.upper.info.name>
  <tlMap.upper.info.level>
  <tlMap.upper.info.description>
  <tlMap.controls.spaceEdit>
  <tlMap.buttons.button24>
1 tlMap.#menuBar
Map Window Menubar. See <Standard Menu bar>.
1 tlMap.upper.canvasMF
  This is a view of the current level of the map.

  Bindings:

  One click on a space "selects" the space, two clicks selects the
space and pops up the <Space Data Object Editor GUI Window>.

1 tlMap.upper.info.name
  This is the name of the map.
1 tlMap.upper.info.level
  This is the current level of the map.
1 tlMap.upper.info.description
  This is the description of the map.
1 tlMap.controls.spaceEdit
  Controls relating to spaces.

  Subsections:

  <tlMap.controls.spaceEdit.button19>
  <tlMap.controls.spaceEdit.button20>
  <tlMap.controls.spaceEdit.name>

2 tlMap.controls.spaceEdit.button19
  Create a new space.  See <Create New Space>.
2 tlMap.controls.spaceEdit.button20
  Delete the selected space.
2 tlMap.controls.spaceEdit.name
  The name of the currently selected space.
1 tlMap.buttons.button24
  Save the current map to a file.
0 tlMonster
Monster Editor. See <Monster Data Object Editor GUI Window>.

Sections:

  <tlMonster.#menuBar>
  <tlMonster.stringParams.left.name>
  <tlMonster.stringParams.left.alignment>
  <tlMonster.stringParams.left.treasureType>
  <tlMonster.stringParams.right.specialAttacks>
  <tlMonster.stringParams.right.specialDefences>
  <tlMonster.stringParams.right.psionics>
  <tlMonster.hpParams.hp>
  <tlMonster.hpParams.hdice>
  <tlMonster.intParams.left.ac>
  <tlMonster.intParams.left.lair>
  <tlMonster.intParams.left.nAtt>
  <tlMonster.intParams.left.magRes>
  <tlMonster.intParams.right.move>
  <tlMonster.intParams.right.damAtt>
  <tlMonster.intParams.right.numApear>
  <tlMonster.intParams.right.size>
  <tlMonster.ifs.intel>
  <tlMonster.ifs.freq>
  <tlMonster.description>
  <tlMonster.buttons>
  
1 tlMonster.#menuBar
Monster Window Menubar. See <Standard Menu bar>.
1 tlMonster.stringParams.left.name

  Name / Type of monster.

1 tlMonster.stringParams.left.alignment

  Alignment of monster.

1 tlMonster.stringParams.left.treasureType

  Treasure Type of monster.

1 tlMonster.stringParams.right.specialAttacks

  Special Attacks of monster.

1 tlMonster.stringParams.right.specialDefences

  Special Defenses of monster.

1 tlMonster.stringParams.right.psionics

  Psionic abilities of the monster.

1 tlMonster.hpParams.hp

  The monster's Hit Points, if selected.  See <tlMonster.hpParams.hdice>.

1 tlMonster.hpParams.hdice

  The monster's Hit Dice, if selected.  See <tlMonster.hpParams.hp>.

1 tlMonster.intParams.left.ac

  The monster's Armor Class.

1 tlMonster.intParams.left.lair

  The percent chance the monster is in its lair.

1 tlMonster.intParams.left.nAtt

  The number of attacks per round the monster has.

1 tlMonster.intParams.left.magRes

  The monster's magical resistance.

1 tlMonster.intParams.right.move

  The monster's movement: ground"/flying"//swimming"(burrowing")*speed in web".

1 tlMonster.intParams.right.damAtt

  The damage per attack the monster inflicts.

1 tlMonster.intParams.right.numApear

  The number appearing.

1 tlMonster.intParams.right.size

  The size of the monster.

1 tlMonster.ifs.intel

  The monster's intelligence rating:

  Non            -- Not intelligent, this is an intelligence score of 0.
  Animal         -- Animal intelligence, this is an intelligence score of 1.
  Semi           -- Semi-intelligent, this is an intelligence score of 2-4.
  Low            -- Low intelligence, this is an intelligence score of 5-7.
  Average        -- Average (Human) intelligence, this is an intelligence 
		    score of 8-10.
  Very           -- Very intelligent, this is an intelligence score of 11-12.
  Highly         -- Highly intelligent, this is an intelligence score of 13-14.
  Exceptionally  -- Exceptionally intelligent, this is an intelligence score 
                    of 15-16.
  Genius         -- Genius, this is an intelligence score of 17-18.
  SupraGenius    -- Supra-Genius, this is an intelligence score of 19-20.
  Godlike        -- Godlike intelligence, this is an intelligence score of
                    21 or more.

1 tlMonster.ifs.freq

   The monster's frequency of occurrence:

  Unique   -- This monster is unique (only one exists).
  VeryRare -- This monster is very rare, only a few exist. 4% probability 
              of occurrence.
  Rare     -- This monster is rare, not many exist. 11% probability of
              occurrence.
  Uncommon -- This monster is uncommon, some exist but are not seen often. 
              20% probability of occurrence.
  Common   -- This monster is common, they are all over the place. 65% 
              probability of occurrence.

1 tlMonster.description

  Additional textual description of the monster.

1 tlMonster.buttons

  Various control buttons.

  Subsections:

  <tlMonster.buttons.button49>
  <tlMonster.buttons.button50>
  <tlMonster.buttons.button51>
2 tlMonster.buttons.button49

  Load button.  Load a monster object file into the current GUI.

2 tlMonster.buttons.button50

  Save button. Save the monster in the current GUI to a file.

2 tlMonster.buttons.button51

  Change Picture button. Change the picture (GIF file) for this monster.

0 tlSpell
Spell Editor. See <Spell Data Object Editor GUI Window>.

Sections:

  <tlSpell.#menuBar>
  <tlSpell.attributes.left.spellClass>
  <tlSpell.attributes.left.name>
  <tlSpell.attributes.left.area>
  <tlSpell.attributes.left.castTime>
  <tlSpell.attributes.left.duration>
  <tlSpell.attributes.right.level>
  <tlSpell.attributes.right.spellType>
  <tlSpell.attributes.right.range>
  <tlSpell.attributes.right.savingThrow>
  <tlSpell.attributes.flags.checkbutton17>
  <tlSpell.attributes.flags.checkbutton18>
  <tlSpell.attributes.flags.checkbutton19>
  <tlSpell.attributes.flags.checkbutton20>
  <tlSpell.description>
  <tlSpell.buttons>
1 tlSpell.#menuBar
Spell Window Menubar. See <Standard Menu bar>.
1 tlSpell.attributes.left.spellClass

  The spell's class.

1 tlSpell.attributes.left.name

  The spell's name.

1 tlSpell.attributes.left.area

  The spell's area of effect.

1 tlSpell.attributes.left.castTime

  The spell's casting time.

1 tlSpell.attributes.left.duration

  The spell's duration.

1 tlSpell.attributes.right.level

  The spell's level.

1 tlSpell.attributes.right.spellType

  The spell's type.

1 tlSpell.attributes.right.range

  The spell's range.

1 tlSpell.attributes.right.savingThrow

  The spell's saving throw, if any.

1 tlSpell.attributes.flags.checkbutton17

  Is the spell reversible?.

1 tlSpell.attributes.flags.checkbutton18

  Does the spell have a verbal content?

1 tlSpell.attributes.flags.checkbutton19

  Does the spell have a somatic content?

1 tlSpell.attributes.flags.checkbutton20

  Does the spell have a material content?

1 tlSpell.description

  Additional textual descriptive information.

1 tlSpell.buttons

  Various control buttons.

  Subsections:
2 tlSpell.buttons.button21

  Load button.  Load a spell into the current GUI.

2 tlSpell.buttons.button22

  Save button.  Save the spell in the current GUI to a file.
0 tlTreasure
Treasure Editor. See <Treasure Data Object Editor GUI Window>.

Sections:

  <tlTreasure.#menuBar>
  <tlTreasure.attributes.left.name>
  <tlTreasure.attributes.left.weight>
  <tlTreasure.attributes.left.aCAdj>
  <tlTreasure.attributes.left.toHitAdj>
  <tlTreasure.attributes.left.damAdj>
  <tlTreasure.attributes.left.magResAdj>
  <tlTreasure.attributes.middle.sAdj>
  <tlTreasure.attributes.middle.iAdj>
  <tlTreasure.attributes.middle.wAdj>
  <tlTreasure.attributes.middle.dAdj>
  <tlTreasure.attributes.middle.cAdj>
  <tlTreasure.attributes.middle.chAdj>
  <tlTreasure.attributes.right.damProtAdj>
  <tlTreasure.attributes.right.gAdj>
  <tlTreasure.attributes.right.fAdj>
  <tlTreasure.attributes.right.swAdj>
  <tlTreasure.attributes.right.value>
  <tlTreasure.description>
  <tlTreasure.button>  
1 tlTreasure.#menuBar
Treasure Window Menubar. See <Standard Menu bar>.
1 tlTreasure.attributes.left.name

  Name of the treasure.
1 tlTreasure.attributes.left.weight

  Weight of the treasure.
1 tlTreasure.attributes.left.aCAdj

  Armor Class adjustment.
1 tlTreasure.attributes.left.toHitAdj

  To Hit Adjustment.
1 tlTreasure.attributes.left.damAdj

  Damage adjustment.
1 tlTreasure.attributes.left.magResAdj

  Magical Resistance adjustment.
1 tlTreasure.attributes.middle.sAdj

  Strength adjustment.
1 tlTreasure.attributes.middle.iAdj

  Intelligence adjustment.
1 tlTreasure.attributes.middle.wAdj

  Wisdom adjustment.
1 tlTreasure.attributes.middle.dAdj

  Dexterity adjustment.
1 tlTreasure.attributes.middle.cAdj

  Constitution adjustment.
1 tlTreasure.attributes.middle.chAdj

  Charisma adjustment.
1 tlTreasure.attributes.right.damProtAdj

  Damage Protection adjustment.
1 tlTreasure.attributes.right.gAdj

  Ground Movement adjustment.
1 tlTreasure.attributes.right.fAdj

  Flying adjustment.
1 tlTreasure.attributes.right.swAdj

  Swimming adjustment.
1 tlTreasure.attributes.right.value

  The treasure's value.
1 tlTreasure.description

  A textual description of the treasure.
1 tlTreasure.button

  Buttons that provide additional functions.

Subsections:

  <tlTreasure.button.button47>
  <tlTreasure.button.button48>
  <tlTreasure.button.button49>
2 tlTreasure.button.button47

  Load button. Loads in a treasure from a file.
2 tlTreasure.button.button48

  Save button. Saves the treasure to a file.
2 tlTreasure.button.button49

  Change Picture button.  Changes the picture (GIF file) of the treasure.
0 tlTrickTrap
Trick / Trap Editor. See <Trick / Trap Data Object Editor GUI Window>.

Sections:

  <tlTrickTrap.#menuBar>
  <tlTrickTrap.nameType.name>
  <tlTrickTrap.nameType.type>
  <tlTrickTrap.description>
  <tlTrickTrap.buttons>
1 tlTrickTrap.#menuBar
Trick / Trap Window Menubar. See <Standard Menu bar>.
1 tlTrickTrap.nameType.name

  Name of the trick or trap.
1 tlTrickTrap.nameType.type

  Type of the trick or trap.
1 tlTrickTrap.description

  Textual description of the trick or trap.
1 tlTrickTrap.buttons

  Buttons that provide additional functions.

Subsections:
  <tlTrickTrap.buttons.button61>
  <tlTrickTrap.buttons.button62>
  <tlTrickTrap.buttons.button63>
2 tlTrickTrap.buttons.button61

  Load button.  Load a trick or trap from a file.
2 tlTrickTrap.buttons.button62

  Save button.  Save the current trick or trap to a file.
2 tlTrickTrap.buttons.button63

  Change Picture button.  Change the picture of the trick or trap.
0 tlHelp
Help window.  See <Help>.

Sections:

  <tlHelp.indexText>
  <tlHelp.modeStatus>
  <tlHelp.command>
  <tlHelp.buttons>
1 tlHelp.indexText
Index and Help text area.

Subsections:

  <tlHelp.indexText.indexLBFrame.lbysFrame.lbFrame.indexLB>
  <tlHelp.indexText.helpTextFrame.helpText>
2 tlHelp.indexText.indexLBFrame.lbysFrame.lbFrame.indexLB
Help index list.
2 tlHelp.indexText.helpTextFrame.helpText
Help text area.  See <Help>.
1 tlHelp.modeStatus
Help mode/status line.
1 tlHelp.command
Help command input line.
1 tlHelp.buttons
Help buttons.

Subsections:

  <tlHelp.buttons.button7>
  <tlHelp.buttons.button9>
  <tlHelp.buttons.button10>
  <tlHelp.buttons.button8>
2 tlHelp.buttons.button7
Help "Close" button.  This button closes the help window.
2 tlHelp.buttons.button8
Help "Help" button.  This button brings up help on help.
2 tlHelp.buttons.button9
Help "Back" button.  This displays the previous topic in the help history.
2 tlHelp.buttons.button10
Help "Forward" button.  This displays the next topic in the help history.
