#* 
#* ------------------------------------------------------------------
#* Role PlayingDB V2.0 by Deepwoods Software
#* ------------------------------------------------------------------
#* character.hh - Character GUI
#* Created by Robert Heller on Mon Apr 19 15:22:51 1999
#* ------------------------------------------------------------------
#* Modification History: 
#* $Log: character.hh,v $
#* Revision 1.1  1999/04/20 13:24:36  heller
#* Initial revision
#*
#* ------------------------------------------------------------------
#* Contents:
#* ------------------------------------------------------------------
#*  
#*     Role Playing DB -- A database package that creates and maintains
#* 		       a database of RPG characters, monsters, treasures,
#* 		       spells, and playing environments.
#* 
#*     Copyright (C) 1995,1998,1999  Robert Heller D/B/A Deepwoods Software
#* 			51 Locke Hill Road
#* 			Wendell, MA 01379-9728
#* 
#*     This program is free software; you can redistribute it and/or modify
#*     it under the terms of the GNU General Public License as published by
#*     the Free Software Foundation; either version 2 of the License, or
#*     (at your option) any later version.
#* 
#*     This program is distributed in the hope that it will be useful,
#*     but WITHOUT ANY WARRANTY; without even the implied warranty of
#*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#*     GNU General Public License for more details.
#* 
#*     You should have received a copy of the GNU General Public License
#*     along with this program; if not, write to the Free Software
#*     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#* 
#*  
#* 
#* $Id: character.hh,v 1.1 1999/04/20 13:24:36 heller Rel1 $
0 Character Data Object Editor GUI Window

The Character Data Object is used to represent characters, both player
and non player.  The player characters are controlled by the
corresponding player whose goal is to survive and accumulate treasure,
gold, and experience points.  As the player's character's experience
point total increases, the character advances in levels, which means
more hit points, increased access to spells (magic users) and so on. 
Non player characters are the additional people in the environment and
are "played" by the game master.

Sections:

  <New Character Roll Dialog>
  <Character Data Object Editor GUI Window Itself>

1 New Character Roll Dialog

When the Character Data Object Editor GUI Window is opened from the
[New] menu item on the [File] menu or via the [Make or Edit Character]
button on the Main GUI Window, a New Character Roll Dialog, shown
below.  This dialog can be used to generate the attribute statistics
for a new character.  This dialog box has entries to select the
attribute dice, the initial hit dice, and the maximum number of hit
dice.  There is a button to re-roll the attribute statistics.  By
default the attribute dice are 3d6, the initial hit dice are 1d6 and
the maximum number of hit dice is 10.

{ChRoll.ppm}

1 Character Data Object Editor GUI Window Itself

The Character Data Object Editor GUI Window contains entries to edit all
of the set able fields in a Character Data Object as shown below.

{Character.ppm}

The set able fields include:

[Strength] The character's strength attribute.  There is a second
entry for a fighter's exceptional strength.

[Intelligence] The character's intelligence.

[Wisdom] The character's wisdom.

[Dexterity] The character's dexterity.

[Constitution] The character's constitution.

[Charisma] The character's charisma.

[Character Name] The name of the character.

[Player Name] The real name or nickname of the player.

[Character Race] The race of the character.

[Character Alignment] The character's alignment.

[Character Sex] The character's gender.

[Character Age] The character's age.

[Experience Points] The number of experience points the character
has accumulated.

[Gold Pieces] The number of gold pieces the character has
accumulated.

[Hit Points] The character's hit points.  This is a read-only field.

[Character Class] The class of the character, such as fighter or
magic user.

[Descriptive Text] Additional text that further describes the
character in detail.

There are buttons to advance the character's level, roll exceptional
strength, save and load to and from data files, and a button to set or
change the character's picture (GIF file).



