#* 
#* ------------------------------------------------------------------
#* Role PlayingDB V2.0 by Deepwoods Software
#* ------------------------------------------------------------------
#* monster.hh - Monster GUI
#* Created by Robert Heller on Mon Apr 19 15:52:27 1999
#* ------------------------------------------------------------------
#* Modification History: 
#* $Log: monster.hh,v $
#* Revision 1.2  1999/07/14 22:21:33  heller
#* Eddy's Edits.
#*
#* Revision 1.1  1999/04/20 13:24:36  heller
#* Initial revision
#*
#* ------------------------------------------------------------------
#* Contents:
#* ------------------------------------------------------------------
#*  
#*     Role Playing DB -- A database package that creates and maintains
#* 		       a database of RPG characters, monsters, treasures,
#* 		       spells, and playing environments.
#* 
#*     Copyright (C) 1995,1998,1999  Robert Heller D/B/A Deepwoods Software
#* 			51 Locke Hill Road
#* 			Wendell, MA 01379-9728
#* 
#*     This program is free software; you can redistribute it and/or modify
#*     it under the terms of the GNU General Public License as published by
#*     the Free Software Foundation; either version 2 of the License, or
#*     (at your option) any later version.
#* 
#*     This program is distributed in the hope that it will be useful,
#*     but WITHOUT ANY WARRANTY; without even the implied warranty of
#*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#*     GNU General Public License for more details.
#* 
#*     You should have received a copy of the GNU General Public License
#*     along with this program; if not, write to the Free Software
#*     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#* 
#*  
#* 
#* $Id: monster.hh,v 1.2 1999/07/14 22:21:33 heller Rel1 $
0 Monster Data Object Editor GUI Window

The Monster Data Object represents the monsters that the player
characters might encounter.  These monsters can be only a minor
hindrance or a major problem, spelling disaster for the adventure.

The Monster Data Object Editor GUI Window contains entries to edit all
of the settable fields in a Monster Data Object as shown below.

{Monster.ppm}

The settable fields include:

[Name / Type] The name or type of the monster.

[Spec. Attacks] The special attacks the monster is capable of.

[Alignment] The monster's alignment.

[Spec. Defenses] The special defenses the monster is capable of.

[Treas. Type] The type of treasure the monster has or is guarding.

[Psionics] The monster's Psionic capabilities.

[Hit Points] The monster's hit points.  This applies to special
monsters, ones that are unique or exist in very small numbers.  Most
monsters have hit dice instead.

[Hit Dice] The monster's hit dice.

[Armor Class] The monster's armor class.

[Move] The monster's movement speed.  This includes on land, in the
water, flying, burrowing, and web speed.

[Percent in Lair] Probability that the monster is in its lair.

[Damage / Attack] The amount of damage the monster can inflict for
each attack.

[Num. of Attacks] The number of attacks the monster can make in
each melee round.

[Number Appearing] The number of this type of monster that will
appear at any given time.

[Magical Res.] The monster's resistance to magical attacks.

[Size] The monster's size, in feet.

[Intelligence] The monster's intelligence rating:

 * Non -- Not intelligent, this is an intelligence score of 0.

 * Animal -- Animal intelligence, this is an intelligence score of 1.

 * Semi -- Semi-intelligent, this is an intelligence score of 2-4.

 * Low -- Low intelligence, this is an intelligence score of 5-7.

 * Average -- Average (Human) intelligence, this is an intelligence
score of 8-10.

 * Very -- Very intelligent, this is an intelligence score of 11-12.

 * Highly -- Highly intelligent, this is an intelligence score of 13-14.

 * Exceptionally -- Exceptionally intelligent, this is an
intelligence score of 15-16.

 * Genius -- Genius, this is an intelligence score of 17-18.

 * SupraGenius -- Supra-Genius, this is an intelligence score of 19-20.

 * Godlike -- Godlike intelligence, this is an intelligence score of 21 or more.

[Frequency] The monster's frequency rating:

 * Unique -- This monster is unique, only one exists.

 * VeryRare -- This monster is very rare, only a few exist; 4%
probability of occurrence.

 * Rare -- This monster is rare, not many exist; 11% probability of
occurrence. 

 * Uncommon -- This monster is uncommon, some exist but are not seen
often; 20% probability of occurrence.

 * Common -- This monster is common, they are all over the place;
 65% probability of occurrence.

[Description] This is a text field for any additional descriptive
commentary.

In addition to the data entry fields, there are buttons to load and save
a Monster Data Object file.  There also is a button to set or change the monster's
picture (GIF file).



