#* 
#* ------------------------------------------------------------------
#* Role PlayingDB V2.0 by Deepwoods Software
#* ------------------------------------------------------------------
#* space.hh - Space GUI
#* Created by Robert Heller on Mon Apr 19 16:28:59 1999
#* ------------------------------------------------------------------
#* Modification History: 
#* $Log: space.hh,v $
#* Revision 1.2  1999/07/14 22:21:33  heller
#* Eddy's Edits.
#*
#* Revision 1.1  1999/04/20 13:24:36  heller
#* Initial revision
#*
#* ------------------------------------------------------------------
#* Contents:
#* ------------------------------------------------------------------
#*  
#*     Role Playing DB -- A database package that creates and maintains
#* 		       a database of RPG characters, monsters, treasures,
#* 		       spells, and playing environments.
#* 
#*     Copyright (C) 1995,1998,1999  Robert Heller D/B/A Deepwoods Software
#* 			51 Locke Hill Road
#* 			Wendell, MA 01379-9728
#* 
#*     This program is free software; you can redistribute it and/or modify
#*     it under the terms of the GNU General Public License as published by
#*     the Free Software Foundation; either version 2 of the License, or
#*     (at your option) any later version.
#* 
#*     This program is distributed in the hope that it will be useful,
#*     but WITHOUT ANY WARRANTY; without even the implied warranty of
#*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#*     GNU General Public License for more details.
#* 
#*     You should have received a copy of the GNU General Public License
#*     along with this program; if not, write to the Free Software
#*     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#* 
#*  
#* 
#* $Id: space.hh,v 1.2 1999/07/14 22:21:33 heller Rel1 $
0 Space Data Object Editor GUI Window

  Sections:

  <Create New Space>
  <Space Data Object Editor GUI Window itself>
  <Exit Information Dialog>
  <Creating New Exit dialog box>
  <Creating New Item dialog box>

1 Create New Space

When the new space button on the <Map Editor GUI Window> is clicked,
the Create New Space dialog box appears as shown below.

{CreateSpace.ppm}

This dialog box contains entries for the location of the center of the
space, the name of the space, and the background color.

1 Space Data Object Editor GUI Window itself

The Space Data Object Editor GUI Window, shown below,
contains a text entry area for descriptive text, and a graphic area showing
the space and its contents -- Exits and Items (Characters,
Monsters, Treasures, Tricks / Traps, or Dressings).  A set of crosshair
lines is drawn on the graphic area, along with the coordinates of the
intersection of the crosshairs.

{Space.ppm}

To the right of the graphic area is a pair of lists (Exits and Items) with buttons.  The upper one lists exits; the buttons
are for adding and deleting exits.  The lower one lists
items; the buttons are for adding and deleting items.

Each exit and item is displayed in the space graphic area.  Each item
and exit responds to the left button by selecting the corresponding
list item and to the right button (Command plus button on the Mac) by
bringing up an <Exit Information Dialog> box for exits and a
GUI editor for items.

The [Add] exit button brings up the <Creating New Exit dialog box>.  The
[Add] item button brings up the <Creating New Item dialog box>.

1 Exit Information Dialog

The Exit Information Dialog box, shown below, displays the information
about the selected exit -- the type, the X and Y position, the
description, the image, and the next space index.

{VisitExit.ppm}
1 Creating New Exit dialog box

The Creating New Exit dialog box, shown below, collects the information needed to create a new exit point from one space
to another space.  The data fields consist of the X and Y position, the
wall alignment flag, the image of the exit, descriptive text, and the
index of the next space.  There is also a button to compute the next
space.  (This button does an approximate computation.  Most of the
time it should be correct, but there are some conditions that might
confuse it.  You should check the result and make whatever necessary
corrections.)

{NewExit.ppm}

1 Creating New Item dialog box

The Creating New Item dialog box, shown below, collects the information needed to create a new item.  The data fields
consist of the X and Y position, the type of the item, the image of the
item, and the data file of the item.  The type is one of the types listed
below.

{NewItem.ppm}

    --------------------------------------------------------------------
    |Character | The item is a non-playing character (for example, a   |
    |          | barkeeper).                                           |
    --------------------------------------------------------------------
    |Monster   | The item is a monster.  This is its lair or it is     |
    |          | guarding something.                                   |
    --------------------------------------------------------------------
    |Treasure  | The item is a treasure.                               |
    --------------------------------------------------------------------
    |TrickTrap | The item is a trick or a trap.                        |
    --------------------------------------------------------------------
    |Dressing  | The item is some random dressing.                     |
    --------------------------------------------------------------------


